# draugr.writers.mixins.line_writer_mixin.LineWriterMixin

class draugr.writers.mixins.line_writer_mixin.LineWriterMixin

  Bases: `ABC`

  Writer mixin that provides an interface for ‘writing’ line charts

  __init__()

  Methods

  `__init__`() |

  `line`(tag, values, step[, x_labels, y_label, ...])

  param values

  abstract line(tag: str, values: list, step: int, x_labels: Optional [ Sequence ] = None, y_label: str = 'Magnitude', x_label: str = 'Sequence', plot_kws: Optional [ Mapping ] = None, **kwargs) → None

    > param values

    > param x_labels

    > param y_label

    > param x_label

    > param plot_kws

    Parameters

      - tag –

      - step –

      - kwargs –